Products
Create Product Prices
Creates new prices for an existing product.
Authorization
api_key api-key<token>
In: header
Path Parameters
productId*string
The product ID from the URL path
Request Body
application/json
Price creation data including prices array and tenantAlias
prices*
tenantAlias*string
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://api.paynowpro.com/api/v1/products/string/prices" \ -H "Content-Type: application/json" \ -d '{ "prices": [ { "details": { "amount": 0.1, "currency": "afn" } } ], "tenantAlias": "string" }'[
{
"id": "string",
"createdAt": "string",
"updatedAt": "string",
"productId": "string",
"recurring": {
"executionDate": "string",
"period": 0.1,
"frequency": "Daily"
},
"details": {
"amount": 0.1,
"currency": "afn"
}
}
]{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}{
"cause": null,
"body": {
"response": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
}
},
"request": {
"body": "string",
"headers": {
"property1": "string",
"property2": "string"
},
"url": "string",
"method": "string"
},
"reason": "string",
"code": 400
}
}